/*
 * MDCacheD client library for C
 * Implements interfaces defined in mc_client.h
 * (c) 2007.-2011 Ivan Voras <ivoras@gmail.com>
 * Released under the 2-clause BSDL
 * $Id: common_utils.h 429 2012-03-01 01:20:50Z ivoras $
 */

#ifndef _COMMON_UTILS_H_
#define _COMMON_UTILS_H_

#ifdef __cplusplus
extern "C" {
#endif

#define _DUMP_BPL 16

/** Makes a pretty hexdump of the data to stdout */
void _dump_data(void *data, unsigned size);

/** Returns current time as number of seconds */
double now();

#ifdef __cplusplus
}
#endif

#endif
